org.eclipse.aether.transfer

## Class MetadataTransferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.MetadataTransferException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MetadataNotFoundException

      public class MetadataTransferException
      extends RepositoryException

  Thrown when metadata could not be uploaded/downloaded to/from a particular remote repository.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataTransferException(Metadata metadata, RemoteRepository repository, String message)` Creates a new exception with the specified metadata, repository and detail message.
    `MetadataTransferException(Metadata metadata, RemoteRepository repository, String message, boolean fromCache)` Creates a new exception with the specified metadata, repository and detail message.
    `MetadataTransferException(Metadata metadata, RemoteRepository repository, String message, Throwable cause)` Creates a new exception with the specified metadata, repository, detail message and cause.
    `MetadataTransferException(Metadata metadata, RemoteRepository repository, Throwable cause)` Creates a new exception with the specified metadata, repository and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Metadata` | `getMetadata()` Gets the metadata that could not be transferred.
    `RemoteRepository` | `getRepository()` Gets the remote repository involved in the transfer.
    `boolean` | `isFromCache()` Indicates whether this exception actually just occurred or was played back from the error cache.

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataTransferException

          public MetadataTransferException(Metadata metadata,
                                   RemoteRepository repository,
                                   String message)

      Creates a new exception with the specified metadata, repository and detail message.
      Parameters:
        `metadata` - The untransferable metadata, may be `null`.
        `repository` - The involved remote repository, may be `null`.
        `message` - The detail message, may be `null`.

    - #### MetadataTransferException

          public MetadataTransferException(Metadata metadata,
                                   RemoteRepository repository,
                                   String message,
                                   boolean fromCache)

      Creates a new exception with the specified metadata, repository and detail message.
      Parameters:
        `metadata` - The untransferable metadata, may be `null`.
        `repository` - The involved remote repository, may be `null`.
        `message` - The detail message, may be `null`.
        `fromCache` - `true` if the exception was played back from the error cache, `false` if the exception actually just occurred.

    - #### MetadataTransferException

          public MetadataTransferException(Metadata metadata,
                                   RemoteRepository repository,
                                   Throwable cause)

      Creates a new exception with the specified metadata, repository and cause.
      Parameters:
        `metadata` - The untransferable metadata, may be `null`.
        `repository` - The involved remote repository, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

    - #### MetadataTransferException

          public MetadataTransferException(Metadata metadata,
                                   RemoteRepository repository,
                                   String message,
                                   Throwable cause)

      Creates a new exception with the specified metadata, repository, detail message and cause.
      Parameters:
        `metadata` - The untransferable metadata, may be `null`.
        `repository` - The involved remote repository, may be `null`.
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

  - ### Method Detail

    - #### getMetadata

          public Metadata getMetadata()

      Gets the metadata that could not be transferred.
      Returns:
        The troublesome metadata or `null` if unknown.

    - #### getRepository

          public RemoteRepository getRepository()

      Gets the remote repository involved in the transfer.
      Returns:
        The involved remote repository or `null` if unknown.

    - #### isFromCache

          public boolean isFromCache()

      Indicates whether this exception actually just occurred or was played back from the error cache.
      Returns:
        `true` if the exception was played back from the error cache, `false` if the exception actually occurred just now.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.